EDIT - bug #8312

Test, fix, improve and run Transmission engine for E+M

05/28/2019 02:33 PM - Andreas Mdiller

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Andreas Muller % Done: 100%
Category: cdmlib Estimated time: 0:00 hour
Target version: Euro+Med Portal Release

Severity: critical Found in Version:

Description

copied from #3979

-run the TransmissionEngineDistribution-:

./description/accumulateDistributions?mode=[byAreas|byRanks|byAreasAndRanks]&frontendBaseUrl=&priority=[1...7,DEFAULT:3]

http request for edit-test:

http://test.e-taxonomy.eu/cdmserver/euromed/description/accumulateDistributions?mode=byAreasAndRanks&targetAreal evel=25b5

63b6-6a6¢-401b-b090-c9498886c50b&priority=7&upperRank=fbe7109d-66b3-498c-a697-c6c49c686162&priority=7

This REST service is still a special implementation for the Euro+Med project. The parameters for the superAreas, the areas to which
the subordinate areas should be projected, lowerRank, upperRank are hardcoded to: TDWG_LEVELS3 areas, SUBSPECIES,

GENUS
see also #2625 (Overview Data aggregation functionalities for E+M)

fixed by c4f9c344164a0b, still needs reviewing

Related issues:

Related to EDIT - bug #6629: TransmissionEngineDistribution misses aggregatin...

Related to EDIT - feature request #6352: Add Transmission Engine trigger to A...
Related to EDIT - feature request #6337: simple web ui to trigger the transmi...

Related to EDIT - feature request #5177: improve perfomance of TransmissionEn...

Related to EDIT - feature request #5176: TransmissionEngineDistribution canrr...
Related to EDIT - feature request #4366: Transmissionengine Distribution: imp...

Related to EDIT - feature request #2625: [E+M Overview] Data aggregation func...

Related to EDIT - task #8651: Unify description aggregation methods (distribu...
Related to EDIT - task #8679: Further unify description aggregation methods
Related to EDIT - task #8871: Remaining issues to unify description aggregati...
Related to EDIT - feature request #8677: Add distribution aggregation to set ...
Closed
Closed
Closed
Closed
Closed
History

#2 - 05/28/2019 02:38 PM - Andreas Miiller

- Related to bug #6629: TransmissionEngineDistribution misses aggregating Uzebkistan (UZB-OO) to higher rank levels added

#3 - 05/28/2019 02:39 PM - Andreas Miuller

- Related to feature request #6352: Add Transmission Engine trigger to Admin menu added

#4 - 05/28/2019 02:41 PM - Andreas Miiller

- Related to feature request #6337: simple web ui to trigger the transmission engine distribution added

#5 - 05/28/2019 02:42 PM - Andreas Miuller
http://test.e-taxonomy.eu/cdmserver/euromed/description/accumulateDistributions?mode=byAreasAndRanks&targetAreaLevel=25b563b6-6a6c-401b-b090-c9498886c50b&priority=7&upperRank=fbe7109d-66b3-498c-a697-c6c49c686162&priority=7
http://test.e-taxonomy.eu/cdmserver/euromed/description/accumulateDistributions?mode=byAreasAndRanks&targetAreaLevel=25b563b6-6a6c-401b-b090-c9498886c50b&priority=7&upperRank=fbe7109d-66b3-498c-a697-c6c49c686162&priority=7
https://dev.e-taxonomy.eu/redmine/issues/2625

- Related to feature request #5177: improve perfomance of TransmissionEngineDistribution added

#6 - 05/28/2019 02:42 PM - Andreas Miiller

- Related to feature request #5176: TransmissionEngineDistribution can run on selected taxa added

#7 - 05/28/2019 02:44 PM - Andreas Miiller

- Related to feature request #4366: Transmissionengine Distribution: implement rules for source references added

#8 - 05/28/2019 02:45 PM - Andreas Miiller
- Subject changed from Test, fix and run Transmission engine for E+M to Test, fix, improve and run Transmission engine for E+M
- Priority changed from New to Highest

- Severity changed from normal to critical

#9 - 12/07/2019 06:11 PM - Andreas Miuller

- Related to feature request #2625: [E+M Overview] Data aggregation functionalities for E+M (TransmissionEngine) added

#10 - 12/07/2019 06:11 PM - Andreas Miiller

- Status changed from New to In Progress

#11 - 03/01/2021 04:47 PM - Andreas Miiller
- Related to task #8651: Unify description aggregation methods (distribution and structured descriptive data) added

#12 - 03/01/2021 04:47 PM - Andreas Miiller
- Related to task #8679: Further unify description aggregation methods added

#13 - 03/01/2021 04:47 PM - Andreas Miiller

- Related to task #8871: Remaining issues to unify description aggregation methods added

#14 - 03/01/2021 04:47 PM - Andreas Miiller

- Related to feature request #8677: Add distribution aggregation to set subtree menu added

#15 - 03/01/2021 04:51 PM - Andreas Miiller
- Status changed from In Progress to Closed

- % Done changed from 0 to 100

This should be fixed with the implementation of transmission engine and following unified description aggregation as well as integration into taxeditor
navigator menu.
It is anyway mostly a duplicate for #2625
